package com.bohuikeji.frame.module.admin.base;
import com.bohuikeji.frame.module.admin.utils.StringUtils;
import lombok.extern.slf4j.Slf4j;

import java.lang.reflect.Field;


/**
 * 表格组件父类
 * @author Admin
 */
@Slf4j
public class TableBase extends SuperBase {

    /**
     * 获取属性的前端格式字符串
     * @return
     */
    public String forParamStr(){
        StringBuilder str=new StringBuilder();
        Field[] fields=this.getClass().getDeclaredFields();
        for (Field field:fields){
            field.setAccessible(true);
            Object fieldValue=null;
            try {
                fieldValue=field.get(this);
            } catch (IllegalAccessException e) {
                e.printStackTrace();
            }
            if (fieldValue==null){
                continue;
            }
            str.append(" ");
            str.append(StringUtils.toLine(field.getName()));
            str.append("=");
            str.append("\"");
            str.append(fieldValue);
            str.append("\"");
            str.append(" ");
        }
        return str.toString();
    }
}
